<template>
  <div class="pt-5 pb-0">
    <div class="container extended">
      <div
        class="h2 d-flex align-items-md-center flex-column flex-md-row align-items-start"
      >
        <div class="text-uppercase">{{ $t('index.features.title') }}</div>
        <div class="ml-md-4 font-medium">
          <nuxt-link :to="localePath('game')">{{
            $t('index.features.viewAll')
          }}</nuxt-link>
        </div>
      </div>
    </div>
    <div class="row no-gutters bg-section-gradient section-border-top">
      <div
        class="col-md-6 d-flex flex-row justify-content-end align-items-center pt-2 pt-md-5 pb-2 pr-3"
      >
        <h2 class="m-3 text-right" style="max-width: 50%;">
          {{ $t('index.features.community') }}
        </h2>
        <div style="width: 250px;">
          <nuxt-link :to="localePath('game') + '#community'">
            <b-card
              text-variant="white"
              class="hovercard"
              border-variant="secondary"
              no-body
            >
              <b-card-img-lazy
                :src="
                  require('~/assets/images/screenshot/players_gathering.jpg?resize&size=250')
                    .src
                "
                :alt="$t('index.features.community')"
                class="card-img-overlay"
                style="position: relative;"
              ></b-card-img-lazy>
            </b-card>
          </nuxt-link>
        </div>
      </div>
      <div
        class="col-md-6 d-flex flex-row align-items-center pt-2 pt-md-5 pb-2 pl-3"
      >
        <div style="width: 250px;">
          <nuxt-link :to="localePath('game') + '#freedom'">
            <b-card
              text-variant="white"
              class="hovercard"
              border-variant="secondary"
              no-body
            >
              <b-card-img-lazy
                :src="
                  require('~/assets/images/screenshot/desert_overwatch.png?resize&size=250')
                    .src
                "
                :alt="$t('index.features.freedom')"
                class="card-img-overlay"
                style="position: relative;"
              ></b-card-img-lazy>
            </b-card>
          </nuxt-link>
        </div>
        <h2 class="m-3" style="max-width: 50%;">
          {{ $t('index.features.freedom') }}
        </h2>
      </div>
    </div>
    <div class="row no-gutters bg-section-gradient section-border-bottom">
      <div
        class="col-md-6 d-flex flex-row justify-content-end align-items-center pt-2 pb-2 pb-md-5 pr-3"
      >
        <h2 class="m-3 text-right" style="max-width: 50%;">
          {{ $t('index.features.roleplay') }}
        </h2>
        <div style="width: 250px;">
          <nuxt-link :to="localePath('game') + '#roleplay'">
            <b-card
              text-variant="white"
              class="hovercard"
              border-variant="secondary"
              no-body
            >
              <b-card-img-lazy
                :src="
                  require('~/assets/images/screenshot/kami_closeup.jpg?resize&size=250')
                    .src
                "
                :alt="$t('index.features.roleplay')"
                class="card-img-overlay"
                style="position: relative;"
              ></b-card-img-lazy>
            </b-card>
          </nuxt-link>
        </div>
      </div>
      <div
        class="col-md-6 d-flex flex-row align-items-center pt-2 pb-2 pb-md-5 pl-3"
      >
        <div style="width: 250px;">
          <nuxt-link :to="localePath('universe')">
            <b-card
              text-variant="white"
              class="hovercard"
              border-variant="secondary"
              no-body
            >
              <b-card-img-lazy
                :src="
                  require('~/assets/images/screenshot/atys_cut_label_en.png?resize&size=250')
                    .src
                "
                :alt="$t('index.features.atys')"
                class="card-img-overlay"
                style="position: relative;"
              ></b-card-img-lazy>
            </b-card>
          </nuxt-link>
        </div>
        <h2 class="m-3" style="max-width: 50%;">
          {{ $t('index.features.atys') }}
        </h2>
      </div>
    </div>
  </div>
</template>
